import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # Paragraph Tag
 * @className twui-p | twui-paragraph
 */
export default function P({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>) {
    return (
        <p
            {...props}
            className={twMerge(
                "text-base py-4",
                "twui-p",
                "twui-paragraph",
                props.className
            )}
        >
            {props.children}
        </p>
    );
}
